#! /bin/csh -f
#
#  Wedger Elves automatically generated mosflm script
#
# 
# flag to integrate or just refine
set integ = ""
if("$1" =~ integ*) set integ = ""
#
set ipmosflm = ipmosflm
if("$1" != "") set ipmosflm = "$1"
#
# temporary file prefix
set tempfile = 143a_se58_1_temp
set outfile  = raw.mtz
#
#
$ipmosflm HKLOUT ${tempfile}.mtz	\
         SPOTOD  ${tempfile}.spotod	\
         SUMMARY mosflm.xlog	\
         COORDS  ${tempfile}.coords << eof-ipmosflm
#
TITLE Raw data wedge from 143a_se58_1 1 to 19 at lambda= 1.28350
#
GENFILE ${tempfile}.gen
#
# the following keywords were not understood by Wedger Elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER OMEGA 90 ROTATION HORIZ ANTI FAST HORIZ ORIGIN UR RECTANG TYPE ADSC
OVERLOAD CUTOFF 60000
GAIN            .133
LIMITS RMAX 133 YMAX 188 XMAX 188 XSCAN 188 YSCAN 188

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    1.28350
DISPERSION    0.00025
DIVERGENCE    0.100 0.020
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      170.479
BEAM          93.73 94.6422
TWOTHETA      0
MATRIX        best.mat
MISSETS       -0.000875 -0.000375 0.006250  RESET
NEWMATRIX     postref.mat

# Crystal parameters
CELL          126.013 126.013 197.09 90 90 120
SYMMETRY      R32
RESOLUTION    2.0
MOSAIC        0.467492

# To run mosflm interactively,
# uncomment the following lines (and DON'T redirect output)
#IMAGE ./143a_se58_1_001.img PHI 70 TO 71
#GO
#END
#PLOT
#
# Frame filename breakdown
DIRECTORY     .
IDENTIFIER    143a_se58_1
EXTENSION     img
#
REFI RESID 100
POSTREF FIX ALL
REFINE  FIX YSCALE
# Processing commands: 
# to perform full integration, either put the word "integ" on the command line,
# or uncomment the following lines (that is, remove the $integ)
$integ PROCESS 1 to 19 START 70 ANGLE 1 ADD 0
$integ GO
$integ END



END
eof-ipmosflm
set mosflm_status = $status

# update mtz only after run is finished
if((! $mosflm_status)&&(-e ${tempfile}.mtz)) then 
    mv ${tempfile}.mtz ${outfile}
endif

# Life's messy, clean it up.
rm -f ${tempfile}.spotod >& /dev/null
rm -f ${tempfile}.coord  >& /dev/null
rm -f ${tempfile}.gen    >& /dev/null
rm -f ${tempfile}.mtz    >& /dev/null
ls fort* >& /dev/null
if(! $status) rm -f fort*


exit $mosflm_status
